        include tios.h
        xdef    _library
        xdef    swap@0000
        xdef    swap@0001
        xdef    swap@0002

;This library is a part of db92
;It is intended to allow the debugged program to do anything it wants when
;the screen is swapped between debugger and program.
;This is useful for programs that use particular settings for the screen,
;such as hardware graylevels, contrast change, line size change...
;As you can see, the two routines are to be written by you.


;Code to be executed to swap to the debugged program's screen
swap@0000:
Prog_Screen:
        move.l  #tios::main_lcd,d0
        lsr.l   #3,d0
        move.w  d0,($600010)
        rts


;Code to be executed to return to the debugger's screen. You don't have to
;set the screen adress
swap@0001:
Debug_Screen:
        rts


;Next to this label you can allocate as many bytes as you want. The debugged
;program can access this data by adding this library to its library list.
;It can be used, for example, to store the current adress of the program's
;screen, or whatever you may need to do the swapping properly.

swap@0002:
Data:

;_library        dc.b    "swap",0 	; Retire par Fred le 09/12/98

        end


